# QMovie Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QMovie(QIODevice device, QByteArray format, QObject parent)
- void QMovie(QObject parent)
- void QMovie(String fileName, QByteArray format, QObject parent)

### Constructor Properties

- prototype: The QMovie prototype object
- List supportedFormats()
- CacheNone
- CacheAll
- CacheMode( value )
- NotRunning
- Paused
- Running
- MovieState( value )

### Prototype Object Properties

The QMovie prototype object inherits properties from the QObject prototype object and also has the following properties.

- QColor backgroundColor()
- int currentFrameNumber()
- QImage currentImage()
- QPixmap currentPixmap()
- QIODevice device()
- String fileName()
- QByteArray format()
- int frameCount()
- QRect frameRect()
- bool isValid()
- bool jumpToFrame(int frameNumber)
- int loopCount()
- int nextFrameDelay()
- QSize scaledSize()
- void setBackgroundColor(QColor color)
- void setDevice(QIODevice device)
- void setFileName(String fileName)
- void setFormat(QByteArray format)
- void setScaledSize(QSize size)
- MovieState state()

### Instance Properties

QMovie objects inherit properties from the QMovie prototype object and also have the following properties.

- speed
- cacheMode